Bug 25400 - ethtool 5.2 update for kernel 5.2
Summary: ethtool 5.2 update for kernel 5.2
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 7
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA7-64-OK
Keywords: advisory, validated_update
Depends on:
Blocks:
 
Reported: 2019-09-03 12:29 CEST by David Walser
Modified: 2019-09-21 13:08 CEST (History)
5 users (show)

See Also:
Source RPM: ethtool-5.0-1.mga7.src.rpm
CVE:
Status comment:


Attachments

Description David Walser 2019-09-03 12:29:48 CEST
ethtool should be updated to go along with the updated kernel for Mageia 7.
David Walser 2019-09-03 12:29:58 CEST

CC: (none) => geiger.david68210

Comment 1 David GEIGER 2019-09-03 13:07:47 CEST
Done!
Comment 2 David Walser 2019-09-03 14:46:23 CEST
Advisory:
----------------------------------------

The ethtool package has been updated to version 5.2 to support the newest
features in the 5.2 kernel and fix a couple of bugs.

References:
https://git.kernel.org/pub/scm/network/ethtool/ethtool.git/tree/NEWS?id=379c096de402602d62b7900081cf61661f35c1c5
----------------------------------------

Updated packages in core/updates_testing:
----------------------------------------
ethtool-5.2-1.mga7

from ethtool-5.2-1.mga7.src.rpm

Assignee: bugsquad => qa-bugs

Comment 3 PC LX 2019-09-09 17:17:33 CEST
Installed and minimally tested without issues.

Don't want to mess with the hardware so I only tested getting information (e.g. driver, stats, capabilities, features). All information seems correct and matches the information returned by the previous installed version (5.0.1).

Will wait for more tests before giving the OK.


System: Mageia 7, x86_64, Intel CPU.


$ uname -a
Linux marte 5.2.13-desktop-2.mga7 #1 SMP Sun Sep 8 10:54:20 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux
$ lspcidrake | grep -i ethernet
r8169           : Realtek Semiconductor Co., Ltd.|RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller [NETWORK_ETHERNET] (rev: 11)
$ rpm -q ethtool
ethtool-5.2-1.mga7

CC: (none) => mageia

Comment 4 Herman Viaene 2019-09-17 10:08:33 CEST
MGA7-64 Plasma on Lenovo B50
No installation issues.
This laptop normally connects wifi, so after the update I plugged in the Ethernet cable, used Network Center to disable wifi, checked ethernet was connected and refreshed browser. All OK
Fiddled a bit on the CLI, picking a few options that would do no harm.
# ethtool -h
ethtool version 5.2
Usage:
        ethtool DEVNAME Display standard information about device
        ethtool -s|--change DEVNAME     Change generic options
                [ speed %d ]
                [ duplex half|full ]
                [ port tp|aui|bnc|mii|fibre ]
and a lot more

# ethtool -i enp8s0
driver: r8169
version: 
firmware-version: rtl8168g-3_0.0.1 04/23/13
expansion-rom-version: 
bus-info: 0000:08:00.0
supports-statistics: yes
supports-test: no
supports-eeprom-access: no
supports-register-dump: yes
supports-priv-flags: no

# ethtool -d enp8s0
RealTek RTL8168g/8111g registers:
--------------------------------------------------------
0x00: MAC Address                      <MAC-address>
0x08: Multicast Address Filter     0x00400040 0x00804080
0x10: Dump Tally Counter Command   0x52e61000 0x00000002
0x20: Tx Normal Priority Ring Addr 0x50f41000 0x00000002
0x28: Tx High Priority Ring Addr   0x00000000 0x00000000
0x30: Flash memory read/write                 0x00000000
0x34: Early Rx Byte Count                              0
0x36: Early Rx Status                               0x00
0x37: Command                                       0x0c
      Rx on, Tx on
0x3C: Interrupt Mask                              0x003f
      LinkChg RxNoBuf TxErr TxOK RxErr RxOK 
0x3E: Interrupt Status                            0x0000
etc....
Seems OK to me.

CC: (none) => herman.viaene
Whiteboard: (none) => MGA7-64-OK

Thomas Backlund 2019-09-21 11:49:16 CEST

Keywords: (none) => advisory, validated_update
CC: (none) => tmb, sysadmin-bugs

Comment 5 Mageia Robot 2019-09-21 13:08:43 CEST
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2019-0132.html

Status: NEW => RESOLVED
Resolution: (none) => FIXED


Note You need to log in before you can comment on or make changes to this bug.